CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2011-3870

Puppet 2.7.x before 2.7.5, 2.6.x before 2.6.11, and 0.25.x allows local users to modify the permissions of arbitrary files via a symlink attack on the SSH authorized_keys file.
Publish Date : 2011-10-27 Last Update Date : 2019-07-10
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
6.3
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID 59

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2011-3870 oval:org.opensuse.security:def:20113870 unix
DSA-2314-1 puppet -- multiple oval:org.mitre.oval:def:15153 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2011-3870

# Product Type Vendor Product Version Update Edition Language
1 Application Puppet Puppet 0.25.0 Version Details Vulnerabilities
2 Application Puppet Puppet 0.25.1 Version Details Vulnerabilities
3 Application Puppet Puppet 0.25.2 Version Details Vulnerabilities
4 Application Puppet Puppet 0.25.3 Version Details Vulnerabilities
5 Application Puppet Puppet 0.25.4 Version Details Vulnerabilities
6 Application Puppet Puppet 0.25.5 Version Details Vulnerabilities
7 Application Puppet Puppet 0.25.6 Version Details Vulnerabilities
8 Application Puppet Puppet 2.6.0 Version Details Vulnerabilities
9 Application Puppet Puppet 2.6.1 Version Details Vulnerabilities
10 Application Puppet Puppet 2.6.2 Version Details Vulnerabilities
11 Application Puppet Puppet 2.6.3 Version Details Vulnerabilities
12 Application Puppet Puppet 2.6.4 Version Details Vulnerabilities
13 Application Puppet Puppet 2.6.5 Version Details Vulnerabilities
14 Application Puppet Puppet 2.6.6 Version Details Vulnerabilities
15 Application Puppet Puppet 2.6.7 Version Details Vulnerabilities
16 Application Puppet Puppet 2.6.8 Version Details Vulnerabilities
17 Application Puppet Puppet 2.6.9 Version Details Vulnerabilities
18 Application Puppet Puppet 2.6.10 Version Details Vulnerabilities
19 Application Puppet Puppet 2.7.2 Version Details Vulnerabilities
20 Application Puppet Puppet 2.7.3 Version Details Vulnerabilities
21 Application Puppet Puppet 2.7.4 Version Details Vulnerabilities
22 Application Puppetlabs Puppet 2.7.0 Version Details Vulnerabilities
23 Application Puppetlabs Puppet 2.7.1 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Puppet Puppet 21
Puppetlabs Puppet 2

- References For CVE-2011-3870

https://puppet.com/security/cve/cve-2011-3870 CONFIRM
http://www.ubuntu.com/usn/USN-1223-2
UBUNTU USN-1223-2
http://groups.google.com/group/puppet-announce/browse_thread/thread/91e3b46d2328a1cb CONFIRM
http://lists.fedoraproject.org/pipermail/package-announce/2011-October/068053.html
FEDORA FEDORA-2011-13636
http://lists.fedoraproject.org/pipermail/package-announce/2011-October/068061.html
FEDORA FEDORA-2011-13633
http://lists.fedoraproject.org/pipermail/package-announce/2011-October/068093.html
FEDORA FEDORA-2011-13623
http://www.ubuntu.com/usn/USN-1223-1
UBUNTU USN-1223-1
http://www.debian.org/security/2011/dsa-2314
DEBIAN DSA-2314

- Metasploit Modules Related To CVE-2011-3870

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.